(function(){
    'use strict';
    
    angular.module('sisatosApp', ['ngRoute',    
                                  'ngMessages',
                                  'jcs-autoValidate',
                                  'angular-ladda'])

         .factory('Page', function(){
                var factory = {};
                var titulo = 'Login';

                factory.titulo    = function (){ return 'SisAtos | '+titulo;}
                factory.setTitulo = function (nTitle){ titulo = nTitle;}

                return factory;
         })
         .constant('ambiente', {'ngpath':    'app/model/js/'})

         .controller('HeadCtrl', ['$scope', 'Page', function($scope, Page) {
            $scope.Page = Page;
          }])

         .controller('inicioCtrl',['$scope', 'Page', function($scope, Page){
            Page.setTitulo('Visão Geral');
            $scope.totalPessoas = '50';
          }])
      
         .controller('mudarModuloCtrl', function($http, $routeParams){
             $('#modulos').html('<img src="imgs/load-small.gif" />'); 
             $http.post('app/model/ajax/ajax_menus.php',
                       {'model':'Modulo',
                        'acao':'mudarModuloAtual',
                        'registro':$routeParams.moduloId})
                            .then(function(r){
                                if(r.data.retorno){
                                    window.location.href='../'+path;
                                }
                            }, function(r){
                                console.log(':(');
                                console.log(r);
                            });
         })
         
         .controller('NullCtrl', function(){});
})();


